## org.apache.aries.subsystem.core.internal
Class SubsystemResource

    java.lang.Object
      org.apache.aries.subsystem.core.internal.SubsystemResource

All Implemented Interfaces:
  org.osgi.resource.Resource

    public class SubsystemResource

extends Object
implements org.osgi.resource.Resource

Constructor Summary
`SubsystemResource(File file)`
`SubsystemResource(org.apache.aries.util.filesystem.IDirectory directory)`
`SubsystemResource(RawSubsystemResource resource, BasicSubsystem parent)`
`SubsystemResource(String location, org.apache.aries.util.filesystem.IDirectory content, BasicSubsystem parent)`

Method Summary
`boolean` `equals(Object o)`
`List<org.osgi.resource.Capability>` `getCapabilities(String namespace)`
`DeploymentManifest` `getDeploymentManifest()`
`long` `getId()`
`Collection<org.osgi.resource.Resource>` `getInstallableContent()`
`Collection<org.osgi.resource.Resource>` `getInstallableDependencies()`
`Repository` `getLocalRepository()`
`String` `getLocation()`
`Collection<DeployedContentHeader.Clause>` `getMissingResources()`
`Collection<BasicSubsystem>` `getParents()`
`org.eclipse.equinox.region.Region` `getRegion()`
`List<org.osgi.resource.Requirement>` `getRequirements(String namespace)`
`Collection<org.osgi.resource.Resource>` `getResources()`
`Collection<org.osgi.resource.Resource>` `getSharedContent()`
`Collection<org.osgi.resource.Resource>` `getSharedDependencies()`
`SubsystemManifest` `getSubsystemManifest()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubsystemResource

    public SubsystemResource(String location,
                             org.apache.aries.util.filesystem.IDirectory content,
                             BasicSubsystem parent)
                      throws URISyntaxException,
                             IOException,
                             org.osgi.service.resolver.ResolutionException,
                             org.osgi.framework.BundleException,
                             org.osgi.framework.InvalidSyntaxException,
                             org.apache.aries.application.modelling.ModellerException

Throws:
  `URISyntaxException`
  `IOException`
  `org.osgi.service.resolver.ResolutionException`
  `org.osgi.framework.BundleException`
  `org.osgi.framework.InvalidSyntaxException`
  `org.apache.aries.application.modelling.ModellerException`

### SubsystemResource

    public SubsystemResource(RawSubsystemResource resource,
                             BasicSubsystem parent)
                      throws IOException,
                             org.osgi.framework.BundleException,
                             org.osgi.framework.InvalidSyntaxException,
                             URISyntaxException

Throws:
  `IOException`
  `org.osgi.framework.BundleException`
  `org.osgi.framework.InvalidSyntaxException`
  `URISyntaxException`

### SubsystemResource

    public SubsystemResource(File file)
                      throws IOException,
                             URISyntaxException,
                             org.osgi.service.resolver.ResolutionException,
                             org.osgi.framework.BundleException,
                             org.osgi.framework.InvalidSyntaxException

Throws:
  `IOException`
  `URISyntaxException`
  `org.osgi.service.resolver.ResolutionException`
  `org.osgi.framework.BundleException`
  `org.osgi.framework.InvalidSyntaxException`

### SubsystemResource

    public SubsystemResource(org.apache.aries.util.filesystem.IDirectory directory)
                      throws IOException,
                             URISyntaxException,
                             org.osgi.service.resolver.ResolutionException,
                             org.osgi.framework.BundleException,
                             org.osgi.framework.InvalidSyntaxException

Throws:
  `IOException`
  `URISyntaxException`
  `org.osgi.service.resolver.ResolutionException`
  `org.osgi.framework.BundleException`
  `org.osgi.framework.InvalidSyntaxException`

Method Detail

### equals

    public boolean equals(Object o)

  Specified by:
    `equals` in interface `org.osgi.resource.Resource`
  Overrides:
    `equals` in class `Object`

### getCapabilities

    public List<org.osgi.resource.Capability> getCapabilities(String namespace)

  Specified by:
    `getCapabilities` in interface `org.osgi.resource.Resource`

### getDeploymentManifest

    public DeploymentManifest getDeploymentManifest()

### getId

    public long getId()

### getInstallableContent

    public Collection<org.osgi.resource.Resource> getInstallableContent()

### getInstallableDependencies

    public Collection<org.osgi.resource.Resource> getInstallableDependencies()

### getLocalRepository

    public Repository getLocalRepository()

### getLocation

    public String getLocation()

### getMissingResources

    public Collection<DeployedContentHeader.Clause> getMissingResources()

### getParents

    public Collection<BasicSubsystem> getParents()

### getRegion

    public org.eclipse.equinox.region.Region getRegion()
                                                throws org.osgi.framework.BundleException,
                                                       IOException,
                                                       org.osgi.framework.InvalidSyntaxException,
                                                       URISyntaxException

  Throws:
    `org.osgi.framework.BundleException`
    `IOException`
    `org.osgi.framework.InvalidSyntaxException`
    `URISyntaxException`

### getRequirements

    public List<org.osgi.resource.Requirement> getRequirements(String namespace)

  Specified by:
    `getRequirements` in interface `org.osgi.resource.Resource`

### getResources

    public Collection<org.osgi.resource.Resource> getResources()

### getSharedContent

    public Collection<org.osgi.resource.Resource> getSharedContent()

### getSharedDependencies

    public Collection<org.osgi.resource.Resource> getSharedDependencies()

### getSubsystemManifest

    public SubsystemManifest getSubsystemManifest()

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `org.osgi.resource.Resource`
  Overrides:
    `hashCode` in class `Object`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.